dependencyManagement {
    blacklist=[
        "javax.jcr:jcr",
        "org.eclipse.parsson:jakarta.json",
        "javax.xml.bind:jaxb-api",
        "javax.annotation:javax.annotation-api",
        "javax.servlet:servlet-api",
        "javax.xml.bind:jsr173_api",
        "javax.xml.stream:stax-api",
        "org.apache.geronimo.specs:geronimo-jms_2.0_spec",
        "org.apache.geronimo.specs:geronimo-jms_1.1_spec",
        "org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec",
        "com.esotericsoftware:kryo-shaded",
        "com.google.collections:google-collections",
        "commons-logging:commons-logging",
        "log4j:log4j",
        "javassist:javassist",
        "net.java.dev.msv:xsdlib",
        "org.bouncycastle:bcprov-jdk15",
        "org.bouncycastle:bcprov-jdk16",
        "org.fusesource.hawtjni:hawtjni-runtime",
        "org.fusesource.leveldbjni:leveldbjni",
        "org.fusesource.leveldbjni:leveldbjni-all",
        "org.fusesource.leveldbjni:leveldbjni-linux32",
        "org.fusesource.leveldbjni:leveldbjni-linux64",
        "org.fusesource.leveldbjni:leveldbjni-osx",
        "org.fusesource.leveldbjni:leveldbjni-win32",
        "org.fusesource.leveldbjni:leveldbjni-win64",
        "org.iq80.leveldb:leveldb",
        "org.iq80.leveldb:leveldb-api",
        "org.jboss.resteasy:resteasy-jackson-provider",
        "org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.3_spec",
        "org.mortbay.jetty:servlet-api-2.5",
        "org.slf4j:slf4j-log4j12",
        "org.slf4j:slf4j-simple",
        "org.slf4j:slf4j-jcl",
        "stax:stax-api",
        "pull-parser:pull-parser",
        "xpp3:xpp3"
    ]
    dependencies=[
        "jakarta.servlet:jakarta.servlet-api:${jakarta_servlet_api_version}",
        "jakarta.servlet.jsp:jakarta.servlet.jsp-api:${jakarta_servlet_jsp_api_version}",
        "jakarta.el:jakarta.el-api:${jakarta_el_api_version}",
        "jakarta.servlet.jsp.jstl:jakarta.servlet.jsp.jstl-api:${jakarta_servlet_jsp_jstl_api_version}",
        "jakarta.faces:jakarta.faces-api:${jakarta_faces_api_version}",
        "jakarta.ws.rs:jakarta.ws.rs-api:${jakarta_ws_rs_api_version}",
        "jakarta.websocket:jakarta.websocket-api:${jakarta_websocket_api_version}",
        "jakarta.json:jakarta.json-api:${jakarta_json_api_version}",
        "jakarta.json.bind:jakarta.json.bind-api:${jakarta_json_bind_api_version}",
        "jakarta.annotation:jakarta.annotation-api:${jakarta_annotation_api_version}",
        "jakarta.ejb:jakarta.ejb-api:${jakarta_ejb_api_version}",
        "jakarta.transaction:jakarta.transaction-api:${jakarta_transaction_api_version}",
        "jakarta.persistence:jakarta.persistence-api:${jakarta_persistence_api_version}",
        "jakarta.validation:jakarta.validation-api:${jakarta_validation_api_version}",
        "jakarta.interceptor:jakarta.interceptor-api:${jakarta_interceptor_api_version}",
        "jakarta.enterprise:jakarta.enterprise.cdi-api:${jakarta_enterprise_cdi_api_version}",
        "jakarta.inject:jakarta.inject-api:${jakarta_inject_version}",
        "jakarta.security.auth.message:jakarta.security.auth.message-api:${jakarta_security_auth_message_api_version}",
        "jakarta.security.enterprise:jakarta.security.enterprise-api:${jakarta_security_enterprise_api_version}",
        "jakarta.jms:jakarta.jms-api:${jakarta_jms_api_version}",
        "jakarta.mail:jakarta.mail-api:${jakarta_mail_api_version}",
        "com.sun.mail:jakarta.mail:${jakarta_mail_api_version}",
        "jakarta.resource:jakarta.resource-api:${jakarta_resource_api_version}",
        "jakarta.management.j2ee:jakarta.management.j2ee-api:${jakarta_management_j2ee_api_version}",
        "jakarta.authorization:jakarta.authorization-api:${jakarta_authorization_api_version}",
        "jakarta.enterprise.concurrent:jakarta.enterprise.concurrent-api:${jakarta_enterprise_concurrent_api_version}",
        "jakarta.batch:jakarta.batch-api:${jakarta_batch_api_version}",
        "jakarta.enterprise.deploy:jakarta.enterprise.deploy-api:${jakarta_enterprise_deploy_api_version}",
        "jakarta.xml.bind:jakarta.xml.bind-api:${jakarta_xml_bind_api_version}",
        "jakarta.xml.registry:jakarta.xml.registry-api:${jakarta_xml_registry_api_version}",
        "jakarta.xml.rpc:jakarta.xml.rpc-api:${jakarta_xml_rpc_api_version}",
        "jakarta.activation:jakarta.activation-api:${jakarta_activation_api_version}",
        "args4j:args4j:2.33",
        "cglib:cglib:3.3.0",
        {
            artifacts=[
                logback-access,
                logback-classic,
                logback-core
            ]
            group="ch.qos.logback"
            version="$logbackVersion"
        },
        "com.atlassian.crowd:crowd-integration-springsecurity:$crowdIntegrationVersion",
        {
            artifacts=[
                aws-java-sdk-marketplacemeteringservice,
                aws-java-sdk-s3
            ]
            group="com.amazonaws"
            version="$amazonawsVersion"
        },
        "com.enragedginger:akka-quartz-scheduler_${scalaVersion}:${akkaQuartzSchedulerVersion}-akka-${akkaMajorVersion}.x",
        "com.esotericsoftware:kryo:5.4.0",
        {
            artifacts=[
                jackson-annotations,
                jackson-core,
                jackson-databind
            ]
            group="com.fasterxml.jackson.core"
            version="$jacksonVersion"
        },
        {
            artifacts=[
                jackson-datatype-joda
            ]
            group="com.fasterxml.jackson.datatype"
            version="$jacksonVersion"
        },
        {
            artifacts=[
                jackson-jaxrs-base,
                jackson-jaxrs-json-provider
            ]
            group="com.fasterxml.jackson.jaxrs"
            version="$jacksonVersion"
        },
        "com.fasterxml.jackson.module:jackson-module-scala_${scalaVersion}:${jacksonVersion}",
        "com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:${jacksonVersion}",
        "com.flipkart.zjsonpatch:zjsonpatch:0.4.14",
        "com.github.java-json-tools:btf:1.3",
        "com.github.java-json-tools:jackson-coreutils:2.0",
        "com.github.java-json-tools:json-patch:1.13",
        "com.github.java-json-tools:msg-simple:1.2",
        "com.github.maiflai:gradle-scalatest:0.32",
        "com.github.nscala-time:nscala-time_${scalaVersion}:2.32.0",
        "io.altoo:akka-kryo-serialization_${scalaVersion}:${akkaKryoSerializationVersion}",
        "com.github.scopt:scopt_${scalaVersion}:4.1.0",
        "com.github.stefanbirkner:system-lambda:1.2.1",
        "com.github.tomakehurst:wiremock-jre8:2.35.0",
        "com.github.zafarkhaja:java-semver:0.9.0",
        "com.google.code.findbugs:annotations:3.0.1",
        "com.google.code.findbugs:jsr305:3.0.2",
        "com.github.ben-manes.caffeine:caffeine:${caffeineVersion}",
        "com.google.guava:guava:32.1.3-jre",
        "com.googlecode.owasp-java-html-sanitizer:owasp-java-html-sanitizer:20220608.1",
        "com.h2database:h2:2.2.224",
        "com.hierynomus:asn-one:0.6.0",
        "io.rest-assured:rest-assured:$restassuredVersion",
        "com.lihaoyi:requests_${scalaVersion}:0.8.0",
        "com.oracle.database.jdbc:ojdbc10:19.18.0.0",
        "com.ibm:db2jcc4:4.28.11",
        "com.lightbend.akka:akka-persistence-jdbc_$scalaVersion:$akkaPersistenceJdbcVersion",
        "com.microsoft.sqlserver:mssql-jdbc:12.2.0.jre11",
        "com.networknt:json-schema-validator:$jsonSchemaValidatorVersion",
        "com.ryantenney.metrics:metrics-spring:3.1.3",
        "com.samskivert:jmustache:1.15",
        "com.thoughtworks.xstream:xstream:1.4.20",
        "com.twitter:chill_${scalaVersion}:0.10.0",
        "com.github.stefanbirkner:system-rules:1.19.0",
        "com.typesafe.scala-logging:scala-logging_${scalaVersion}:3.9.5",
        {
            artifacts=[
                "org.eclipse.jgit",
                "org.eclipse.jgit.http.server",
                "org.eclipse.jgit.http.apache",
                "org.eclipse.jgit.ssh.jsch"
            ]
            group="org.eclipse.jgit"
            version="$jgitVersion"
        },
        {
            artifacts=[
                "akka-actor_${scalaVersion}",
                "akka-cluster-sharding_${scalaVersion}",
                "akka-cluster_${scalaVersion}",
                "akka-cluster-tools_${scalaVersion}",
                "akka-distributed-data_${scalaVersion}",
                "akka-remote_${scalaVersion}",
                "akka-serialization-jackson_${scalaVersion}",
                "akka-slf4j_${scalaVersion}",
                "akka-stream_${scalaVersion}",
                "akka-stream-testkit_${scalaVersion}",
                "akka-testkit_${scalaVersion}"
            ]
            group="com.typesafe.akka"
            version="$akkaVersion"
        },
        {
            artifacts=[
                "akka-http_${scalaVersion}",
                "akka-http-core_${scalaVersion}",
                "akka-http-spray-json_${scalaVersion}",
                "akka-http-testkit_${scalaVersion}",
                "akka-http-xml_${scalaVersion}"
            ]
            group="com.typesafe.akka"
            version="$akkaHttpVersion"
        },
        "com.typesafe:config:1.4.2",
        "com.unboundid:unboundid-ldapsdk:6.0.8",
        "com.vmware:vijava:5.1",
        "com.xebialabs.cloud:overcast:$overcastVersion",
        "com.xebialabs.deployit.documentation:base-documentation-style:$docBaseStyleVersion@zip",
        "com.xebialabs.deployit.gradle:license-data:$licenseDatabaseVersion",
        {
            artifacts=[
                base-plugin,
                command-plugin,
                database-plugin,
                deployment-checklist-plugin,
                file-plugin,
                generic-plugin,
                group-orchestrator-plugin,
                jee-plugin,
                powershell-plugin,
                python-plugin,
                remoting-plugin,
                trigger-plugin,
                webserver-plugin
            ]
            group="com.xebialabs.deployit.plugins"
            version="$xlDeployVersion"
        },
        {
            artifacts=[
                xld-provision,
                xld-provision-cli
            ]
            group="com.xebialabs.deployit.plugins"
            version="$xldProvisionVersion"
        },
        {
            artifacts=[
                overthere
            ]
            excludes=[
                "xpp3:xpp3",
                "pull-parser:pull-parser"
            ]
            group="com.xebialabs.overthere"
            version="$overthereVersion"
        },
        "com.xebialabs.restito:restito:1.0.1",
        "com.zaxxer:HikariCP:5.0.1",
        "commons-codec:commons-codec:1.15",
        "commons-collections:commons-collections4:4.4",
        "commons-io:commons-io:2.15.1",
        "commons-lang:commons-lang:2.6",
        {
            artifacts=[
                kryo-serializers
            ]
            excludes=[
                "com.esotericsoftware:kryo"
            ]
            group="de.javakaffee"
            version="0.45"
        },
        {
            artifacts=[
                "truezip-driver-file",
                "truezip-driver-tar",
                "truezip-driver-zip",
                "truezip-file",
                "truezip-kernel"
            ]
            group="de.schlichtherle.truezip"
            version="$trueZipVersion"
        },
        "org.dom4j:dom4j:2.1.3",
        "httpunit:httpunit:1.7.3",
        {
            artifacts=[
                metrics-annotation,
                metrics-core,
                metrics-healthchecks,
                metrics-jetty9,
                metrics-jmx,
                metrics-json,
                metrics-jvm
            ]
            group="io.dropwizard.metrics"
            version="$dropwizardMetricsVersion"
        },
        {
            artifacts=[
                "kamon-core_${scalaVersion}",
                "kamon-system-metrics_${scalaVersion}",
                "kamon-jdbc_${scalaVersion}"
            ]
            group="io.kamon"
            version="$kamonVersion"
        },
        "io.smallrye.config:smallrye-config:$smallryeVersion",
        "io.spray:spray-json_${scalaVersion}:$sprayJsonVersion",
        "jaxen:jaxen:1.2.0",
        "jline:jline:2.14.6",
        "joda-time:joda-time:2.12.5",
        "junit:junit:4.13.2",
        "mysql:mysql-connector-java:8.0.33",
        "org.postgresql:postgresql:42.6.1",
        "nl.javadude.assumeng:assumeng:1.2.4",
        "nl.javadude.scannit:scannit:$scannitVersion",
        "nl.javadude.t2bus:t2-bus:1.2.1",
        {
            artifacts=[
                artemis-server,
                artemis-jms-server,
                artemis-jms-client-all,
                artemis-spring-integration,
                artemis-junit
            ]
            group="org.apache.activemq"
            version="$activeMqArtemis"
        },
        "org.apache.camel:camel-core:$camelVersion",
        "org.apache.camel:camel-spring:$camelVersion",
        "org.apache.camel:camel-spring-javaconfig:$camelVersion",
        "org.apache.maven:maven-artifact:$mavenArtifactVersion",
        "net.bytebuddy:byte-buddy:1.12.18",
        "net.bytebuddy:byte-buddy-agent:1.12.18",
        "io.github.classgraph:classgraph:4.8.149",
        "io.github.java-diff-utils:java-diff-utils:4.12",
        {
            artifacts=[
                jna,
                jna-platform
            ]
            group="net.java.dev.jna"
            version="$jnaVersion"
        },
        "com.github.pureconfig:pureconfig_${scalaVersion}:0.17.1",
        "org.apache.activemq:activemq-broker:5.18.3",
        "org.apache.commons:commons-compress:1.26.0",
        "org.apache.commons:commons-configuration2:2.10.1",
        "org.apache.commons:commons-csv:1.9.0",
        "org.apache.commons:commons-lang3:3.12.0",
        "org.apache.commons:commons-math3:3.6.1",
        "org.apache.commons:commons-text:1.10.0",
        {
            artifacts=[
                derby,
                derbyclient,
                derbynet,
                derbyshared
            ]
            group="org.apache.derby"
            version="$derbyVersion"
        },
        "org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec:1.0.1",
        "org.apache.geronimo.specs:geronimo-json_1.1_spec:1.5",
        {
            artifacts=[
                "geronimo-jms_1.1_spec",
                "geronimo-jta_1.1_spec"
            ]
            group="org.apache.geronimo.specs"
            version="1.1.1"
        },
        {
            artifacts=[
                httpclient,
                httpmime
            ]
            group="org.apache.httpcomponents"
            version="$httpClientVersion"
        },
        "org.apache.httpcomponents:httpcore:$httpCoreVersion",
        {
            artifacts=[
                jackrabbit-api,
                jackrabbit-core,
                jackrabbit-jcr-commons,
                jackrabbit-jcr-server,
                jackrabbit-spi,
                jackrabbit-spi-commons,
                jackrabbit-webdav
            ]
            group="org.apache.jackrabbit"
            version="$jackrabbitVersion"
        },
        "org.apache.jackrabbit:jackrabbit-webapp:$jackrabbitVersion}@ja",
        {
            artifacts=[
                apache-mime4j-core,
                apache-mime4j-dom,
                apache-mime4j-storage
            ]
            group="org.apache.james"
            version="$apacheMime4jVersion"
        },
        "org.apache.jclouds.api:ec2:$jcloudsVersion",
        "org.apache.jclouds.provider:aws-ec2:$jcloudsVersion",
        {
            artifacts=[
                jclouds-compute,
                jclouds-core
            ]
            group="org.apache.jclouds"
            version="$jcloudsVersion"
        },
        {
            artifacts=[
                log4j-api,
                log4j-to-slf4j
            ]
            group="org.apache.logging.log4j"
            version="$log4jVersion"
        },
        "org.apache.maven:maven-aether-provider:3.3.9",
        "org.apache.mina:mina-core:$minaVersion",
        "org.apache.qpid:qpid-jms-client:1.6.0",
        {
            artifacts=[
                sshd-osgi,
                sshd-sftp
            ]
            group="org.apache.sshd"
            version="$sshdVersion"
        },
        "org.apache.velocity:velocity:1.7",
        {
            artifacts=[
                aspectjrt,
                aspectjweaver
            ]
            group="org.aspectj"
            version="$aspectjVersion"
        },
        {
            artifacts=[
                bcpkix-jdk15on,
                bcprov-jdk15on,
                bcutil-jdk15on
            ]
            group="org.bouncycastle"
            version="$bouncyCastleVersion"
        },
        "org.clapper:grizzled-slf4j_${scalaVersion}:1.3.4",
        "org.codehaus.groovy:groovy-all:${groovyVersion}",
        "org.codehaus.jettison:jettison:1.5.4",
        "org.easymock:easymock:4.3",
        "org.easytesting:fest-reflect:1.4.1",
        "org.easytesting:fest-assert-core:2.0M10",
        {
            artifacts=[
                aether,
                aether-api,
                aether-connector-basic,
                aether-impl,
                aether-spi,
                aether-transport-file,
                aether-transport-http
            ]
            group="org.eclipse.aether"
            version="$aetherVersion"
        },
        {
            artifacts=[
                jetty-client,
                jetty-jmx,
                jetty-jndi,
                jetty-security,
                jetty-server,
                jetty-servlet,
                jetty-servlets,
                jetty-util,
                jetty-webapp,
                jetty-alpn-server,
                jetty-alpn-java-server
            ]
            group="org.eclipse.jetty"
            version="$jettyVersion"
        },
        {
            artifacts=[
                websocket-client,
                websocket-api,
                websocket-server
            ]
            group="org.eclipse.jetty.websocket"
            version="$jettyVersion"
        },
        "org.eclipse.jetty.http2:http2-server:${jettyVersion}",
        "org.eclipse.microprofile.config:microprofile-config-api:$microprofileConfigApiVersion",
        "org.freemarker:freemarker:2.3.31",
        "org.fusesource.hawtbuf:hawtbuf:1.11",
        "org.glassfish.jaxb:jaxb-runtime:2.3.8",
        {
            artifacts=[
                hamcrest-core,
                hamcrest-library
            ]
            group="org.hamcrest"
            version="2.2"
        },
        {
            artifacts=[
                infinispan-cachestore-jdbc,
                infinispan-commons,
                infinispan-core
            ]
            group="org.infinispan"
            version="$infinispanVersion"
        },
        "org.javassist:javassist:3.29.1-GA",
        {
            artifacts=[
                resteasy-spring
            ]
            group="org.jboss.resteasy.spring"
            version="$resteasySpringVersion"
        },
        {
            artifacts=[
                resteasy-core,
                resteasy-client,
                resteasy-client-api,
                resteasy-core-spi,
                resteasy-jackson2-provider,
                resteasy-jaxb-provider,
                resteasy-jaxrs-all,
                resteasy-multipart-provider,
                resteasy-netty4
            ]
            excludes=[
                "org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.3_spec"
            ]
            group="org.jboss.resteasy"
            version="$resteasyVersion"
        },
        "org.jdom:jdom2:2.0.6.1",
        "org.joda:joda-convert:2.2.3",
        "org.liquibase:liquibase-core:${liquibaseVersion}",
        "com.mattbertolini:liquibase-slf4j:${liquibaseSlf4jVersion}",
        {
            artifacts=[
                mockito-core,
                mockito-inline
            ]
            group="org.mockito"
            version="$mockitoVersion"
        },
        "org.owasp.antisamy:antisamy:1.7.1",
        "org.pegdown:pegdown:1.6.0",
        "org.python:jython:$jythonVersion",
        "org.python:jython-standalone:$jythonStandaloneVersion",
        "org.scala-lang.modules:scala-java8-compat_${scalaVersion}:1.0.2",
        "org.scala-lang.modules:scala-xml_${scalaVersion}:2.0.1",
        {
            artifacts=[
                scala-library,
                scala-reflect
            ]
            group="org.scala-lang"
            version="$scalaFullVersion"
        },
        "org.scala-lang.modules:scala-parallel-collections_${scalaVersion}:${scalaParallelCollectionVersion}",
        "org.scalacheck:scalacheck_${scalaVersion}:1.17.0",
        "org.scalatest:scalatest_${scalaVersion}:${scalaTestVersion}",
        "org.scalatestplus:junit-4-13_${scalaVersion}:${scalaTestPlusVersion}",
        "org.scalatestplus:testng-6-7_${scalaVersion}:${scalaTestPlusVersion}",
        "org.scalatestplus:scalatestplus-mockito_${scalaVersion}:1.0.0-M2",
        "org.scalatestplus:scalacheck-1-14_${scalaVersion}:3.2.2.0",
        "com.vladsch.flexmark:flexmark-all:0.34.60",
        "org.seleniumhq.selenium:selenium-java:$seleniumVersion",
        {
            artifacts=[
                jcl-over-slf4j,
                jul-to-slf4j,
                log4j-over-slf4j,
                slf4j-api,
                slf4j-nop
            ]
            group="org.slf4j"
            version="$slf4jVersion"
        },
        {
            artifacts=[
                spring-boot,
                spring-boot-starter,
                spring-boot-starter-web,
                spring-boot-starter-jetty
            ]
            group="org.springframework.boot"
            version="$springBootVersion"
        },
        "org.springframework.ldap:spring-ldap-core:$springLdapVersion",
        {
            artifacts=[
                spring-security-config,
                spring-security-core,
                spring-security-ldap,
                spring-security-web,
                spring-security-oauth2-core,
                spring-security-oauth2-client,
                spring-security-oauth2-jose,
                spring-security-oauth2-resource-server,
                spring-security-crypto
            ]
            group="org.springframework.security"
            version="$springSecurityVersion"
        },
        {
            artifacts=[
                spring-beans,
                spring-context,
                spring-context-support,
                spring-core,
                spring-jdbc,
                spring-jms,
                spring-test,
                spring-messaging,
                spring-web,
                spring-webmvc,
                spring-websocket,
                spring-orm,
                spring-tx
            ]
            group="org.springframework"
            version="$springVersion"
        },
        {
            artifacts=[
                spring-session-core,
                spring-session-jdbc
            ]
            group="org.springframework.session"
            version="$springSessionVersion"
        },
        "org.springframework.data:spring-data-jpa:$springDataJpaVersion",
        "org.hibernate:hibernate-core:$hibernateVersion",
        "org.testng:testng:6.14.3",
        "org.yaml:snakeyaml:2.2",
        "pl.pragmatists:JUnitParams:1.1.1",
        {
            artifacts=[
                "crash.shell",
                "crash.cli",
                "crash.connectors.ssh",
                "crash.connectors.telnet",
                "crash.embed.spring"
            ]
            group="org.crashub"
            version="$crashVersion"
        },
        "net.wimpi:telnetd-x:$telnetdVersion",
        {
            artifacts=[
                "slick_$scalaVersion",
                "slick-hikaricp_$scalaVersion"
            ]
            group="com.typesafe.slick"
            version="$slickVersion"
        },
        "com.dimafeng:testcontainers-scala_$scalaVersion:$testcontainersScalaVersion",
        "com.jayway.jsonpath:json-path:${jsonpath}",
        {
            artifacts=[
                metrics-core,
                metrics-jvm,
                metrics-jmx,
                metrics-jdbc,
                metrics-jetty,
                metrics-http,
                metrics-influxdb,
                metrics-spring-webmvc,
                metrics-spring-security
            ]
            group="com.tqdev.metrics"
            version="$tqdevMetricsVersion"
        },
        {
            artifacts=[
                awaitility,
                awaitility-scala
            ]
            group="org.awaitility"
            version="$awaitilityVersion"
        },
        "net.jcip:jcip-annotations:$jcipAnnotationsVersion",
        {
            artifacts=[
                appserver-api,
                appserver-api-impl,
                appserver-core,
                appserver-main,
                appserver-migrations-tests,
                engine-api,
                engine-spi,
                server-extension,
                udm-plugin-api
            ]
            group="com.xebialabs.deployit"
            version="$xlPlatformVersion"
        },
        {
            artifacts=[
                engine-xml,
                engine-xml-tests,
                json-patch,
                local-booter,
                packager,
                remote-booter,
                replacer,
                staged-files,
                test-tools
            ]
            group="com.xebialabs.deployit.engine"
            version="$xlPlatformVersion"
        },
        "com.xebialabs.deployit.license:xl-license-generator:$xlPlatformVersion",
        "com.xebialabs.deployit.ascode:xl-devops-as-code-common:$xlPlatformVersion",
        {
            artifacts=[
                appserver-migrations-sql,
                export-cis,
                maven-resolver,
                repository-utils,
                scala-base,
                test-services-utils,
                test-utils,
                xl-base,
                xl-core,
                xl-endpoints-api,
                xl-endpoints-routes,
                xl-chain-of-custody,
                xl-cluster,
                xl-license,
                xl-license-api,
                xl-license-web,
                xl-localisation,
                xl-pendo-analytics,
                xl-plugin,
                xl-plugin-manager,
                xl-repository-api,
                xl-repository-tck,
                xl-repository-sql,
                xl-script-engine,
                xl-auth-oidc,
                xl-security,
                xl-security-api,
                xl-security-converter,
                xl-security-core,
                xl-security-tests,
                xl-support-package,
                xl-test-repository,
                xl-ui-components-api,
                xl-ui-components-rest,
                xl-utils,
                xl-jmx,
                xl-webhooks-common,
                xl-webhooks-endpoint,
                xl-webhooks-queue
            ]
            group="com.xebialabs.xl-platform"
            version="$xlPlatformVersion"
        },
        {
            artifacts=[
                packager,
                planner,
                tasker,
                test-engine
            ]
            group="com.xebialabs.deployit.engine"
            version="$xlDeployVersion"
        }
    ]
    # you CANNOT have a PROPER rewrite to a module that is not defined as a managed dependency via same mechanism
    rewrites {
        # jcip - Java Concurrency in Practice annotations - you only need 1 implementation
        "com.github.stephenc.jcip:jcip-annotations"="net.jcip:jcip-annotations"
        # MAIL:
        "com.sun.mail:javax.mail"="com.sun.mail:jakarta.mail"
        "commons-logging:commons-logging"="org.slf4j:jcl-over-slf4j"
        # ACTIVATION:
        "javax.activation:javax.activation-api"="jakarta.activation:jakarta.activation-api"
        # ANNOTATION:
        "javax.annotation:javax.annotation-api"="jakarta.annotation:jakarta.annotation-api"
        # INJECT:
        "javax.inject:javax.inject"="jakarta.inject:jakarta.inject-api"
        # JMS:
        "javax.jms:javax.jms-api"="jakarta.jms:jakarta.jms-api"
        # JSON:
        # no change in package name
        "javax.json:javax.json-api"="jakarta.json:jakarta.json-api"
        "javax.mail:mail"="com.sun.mail:jakarta.mail"
        # PERSISTENCE:
        "javax.persistence:javax.persistence-api"="jakarta.persistence:jakarta.persistence-api"
        # SERVLET:
        "javax.servlet:javax.servlet-api"="jakarta.servlet:jakarta.servlet-api"
        "javax.servlet:servlet-api"="jakarta.servlet:jakarta.servlet-api"
        # TRANSATION:
        "javax.transaction:jta"="jakarta.transaction:jakarta.transaction-api"
        # VALIDATION:
        "javax.validation:validation-api"="jakarta.validation:jakarta.validation-api"
        "javax.xml.bind:jaxb-api"="jakarta.xml.bind:jakarta.xml.bind-api"
        "jdom:jdom"="org.jdom:jdom2"
        "log4j:log4j"="org.slf4j:log4j-over-slf4j"
        # As of RESTEasy 5.0.0 the Spring integration has moved to a new project, group id and version. The new group id is org.jboss.resteasy.spring.
        "org.jboss.resteasy:resteasy-spring"="org.jboss.resteasy.spring:resteasy-spring"
        "org.jboss.spec.javax.annotation:jboss-annotations-api_1.3_spec"="jakarta.annotation:jakarta.annotation-api"
        # JAXRS:
        "org.jboss.spec.javax.ws.rs:jboss-jaxrs-api_2.1_spec"="jakarta.ws.rs:jakarta.ws.rs-api"
        # JAXB:
        "org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.3_spec"="jakarta.xml.bind:jakarta.xml.bind-api"
        "org.jdom:jdom"="org.jdom:jdom2"
        "org.python:jython"="org.python:jython-standalone"
    }
    versions {
        # please keep the list sorted
        activeMqArtemis="2.31.2"
        aetherVersion="1.1.0"
        akkaHttpVersion="10.4.0"
        akkaKryoSerializationVersion="2.5.0"
        akkaMajorVersion="2.6"
        akkaPersistenceJdbcVersion="5.1.0"
        akkaQuartzSchedulerVersion="1.9.3"
        akkaVersion="2.6.20"
        amazonawsVersion="1.12.735"
        apacheMime4jVersion="0.8.10"
        aspectjVersion="1.9.9.1"
        awaitilityVersion="4.2.0"
        bouncyCastleVersion="1.70"
        caffeineVersion="3.1.6"
        camelVersion="3.20.3"
        crashVersion="1.3.2"
        crowdIntegrationVersion="3.7.1"
        # 10.16.x Requires java17
        derbyVersion="10.15.2.0"
        docBaseStyleVersion="3.1.6"
        # Used in release alone.
        dropwizardMetricsVersion="4.0.0+xebialabs.202107071600"
        groovyVersion="3.0.17"
        # spring-orm requires hibernate 5
        hibernateVersion="5.6.11.Final"
        httpClientVersion="4.5.14"
        httpCoreVersion="4.4.16"
        infinispanVersion="14.0.2.Final"
        jackrabbitVersion="2.19.3"
        jacksonVersion="2.14.3"
        # MANUALLY ADDED:
        "jakarta_activation_api_version"="1.2.2"
        "jakarta_annotation_api_version"="1.3.5"
        "jakarta_authorization_api_version"="1.5.0"
        "jakarta_batch_api_version"="1.0.2"
        "jakarta_ejb_api_version"="3.2.6"
        "jakarta_el_api_version"="3.0.3"
        "jakarta_enterprise_cdi_api_version"="2.0.2"
        "jakarta_enterprise_concurrent_api_version"="1.1.2"
        # <!-- Optional APIs -->
        "jakarta_enterprise_deploy_api_version"="1.7.2"
        "jakarta_faces_api_version"="2.3.2"
        "jakarta_inject_version"="1.0"
        "jakarta_interceptor_api_version"="1.2.5"
        # <!--  Full platform -->
        "jakarta_jms_api_version"="2.0.3"
        "jakarta_json_api_version"="1.1.6"
        "jakarta_json_bind_api_version"="1.0.2"
        "jakarta_mail_api_version"="1.6.4"
        "jakarta_management_j2ee_api_version"="1.1.4"
        "jakarta_persistence_api_version"="2.2.3"
        "jakarta_resource_api_version"="1.7.4"
        "jakarta_security_auth_message_api_version"="1.1.3"
        "jakarta_security_enterprise_api_version"="1.0.2"
        # versions are defined in parent pom:
        #  https://github.com/eclipse-ee4j/jakartaee-api/blob/8.0.x-BRANCH/pom.xml
        # <!-- Web Profile -->
        "jakarta_servlet_api_version"="4.0.4"
        "jakarta_servlet_jsp_api_version"="2.3.6"
        "jakarta_servlet_jsp_jstl_api_version"="1.2.7"
        "jakarta_transaction_api_version"="1.3.3"
        "jakarta_validation_api_version"="2.0.2"
        "jakarta_websocket_api_version"="1.1.2"
        "jakarta_ws_rs_api_version"="2.1.6"
        # <!-- Compile-time dependencies -->
        "jakarta_xml_bind_api_version"="2.3.3"
        "jakarta_xml_registry_api_version"="1.0.10"
        "jakarta_xml_rpc_api_version"="1.1.4"
        "jakarta_xml_ws_api_version"="2.3.2"
        jcipAnnotationsVersion="1.0"
        jcloudsVersion="2.5.0"
        jettyVersion="9.4.53.v20231009"
        jgitVersion="6.7.0.202309050840-r"
        jnaVersion="5.13.0"
        jsonSchemaValidatorVersion="1.0.79"
        jsonpath="2.9.0"
        jythonStandaloneVersion="2.7.2-xebialabs-6"
        jythonVersion="2.7.2"
        kamonVersion="2.6.0"
        liquibaseSlf4jVersion="4.1.0"
        liquibaseVersion="4.21.1"
        log4jVersion="2.18.0"
        logbackVersion="1.2.13"
        mavenArtifactVersion="3.9.1"
        microprofileConfigApiVersion="3.0.3"
        # 2.0.x is required by ApacheDS 1.5.x
        minaVersion="2.0.21"
        mockitoVersion="4.8.0"
        overthereVersion="5.6.5"
        # Plugin Dependency Versions - Do not upgrade the versions below that start with py
        pyBoto3Version="1.17.61"
        pyBotocoreVersion="1.20.112"
        pyCertifiVersion="2020.12.5"
        pyChardetVersion="4.0.0"
        pyDateutilVersion="2.8.2"
        pyIdnaVersion="3.1"
        pyIpaddressVersion="1.0.23"
        pyPyasn1Version="0.3.2"
        pyRequestsVersion="2.25.1"
        pyS3transferVersion="0.1.13"
        pySixVersion="1.15.0"
        pyUrllib3Version="1.25.3"
        pyYamlVersion="5.4.1"
        # Plugin Dependency Versions - Do not upgrade the versions above that start with py
        restassuredVersion="5.2.0"
        resteasySpringVersion="2.0.1.Final"
        resteasyVersion="5.0.8.Final"
        scalaFullVersion="2.13.12"
        scalaParallelCollectionVersion="1.0.4"
        scalaTestPlusVersion="3.2.9.0"
        scalaTestVersion="3.2.9"
        scalaVersion="2.13"
        scannitVersion="1.4.1"
        seleniumVersion="4.8.3"
        slf4jVersion="1.7.36"
        slickVersion="3.4.1"
        # check Resteasy compatibility while upgrading this version
        smallryeVersion="2.3.0"
        sprayJsonVersion="1.3.6"
        springBootVersion="2.7.18"
        springDataJpaVersion="2.7.18"
        springLdapVersion="2.4.1"
        springSecurityVersion="5.8.12"
        springSessionVersion="2.7.4"
        springVersion="5.3.36"
        sshdVersion="2.9.2"
        telnetdVersion="2.1.1"
        testcontainersScalaVersion="0.40.10"
        tqdevMetricsVersion="0.9.26"
        "trueZipVersion"="7.7.10"
    }
}

